.TH wxDirPickerCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxDirPickerCtrl \- See external documentation: wxDirPickerCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxDirPickerCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirpickerctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxPickerBase 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxDirPickerCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxDirPickerCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirpickerctrl\&.html#wxdirpickerctrlwxdirpickerctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxDirPickerCtrl()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxDirPickerCtrl()
.br
.RS
.TP
Types
Option = {path, string()} | {message, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirpickerctrl\&.html#wxdirpickerctrlwxdirpickerctrl>\&.
.RE
.LP
.B
create(This::wxDirPickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxDirPickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {path, string()} | {message, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirpickerctrl\&.html#wxdirpickerctrlcreate>\&.
.RE
.LP
.B
getPath(This::wxDirPickerCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirpickerctrl\&.html#wxdirpickerctrlgetpath>\&.
.RE
.LP
.B
setPath(This::wxDirPickerCtrl(), Str::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirpickerctrl\&.html#wxdirpickerctrlsetpath>\&.
.RE
.LP
.B
destroy(This::wxDirPickerCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
